<html>
<head>
<title>Ogre::InstancedGeometry::LODBucket Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1InstancedGeometry.html">InstancedGeometry</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">LODBucket</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::InstancedGeometry::LODBucket Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::InstancedGeometry::LODBucket" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>A <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html" title="A LODBucket is a collection of smaller buckets with the same LOD.">LODBucket</a> is a collection of smaller buckets with the same LOD.  
 <a href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::InstancedGeometry::LODBucket:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1InstancedGeometry_1_1LODBucket__inherit__graph.gif" border="0" usemap="#Ogre_1_1InstancedGeometry_1_1LODBucket_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1InstancedGeometry_1_1LODBucket_inherit__map" id="Ogre_1_1InstancedGeometry_1_1LODBucket_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="52,5,207,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1InstancedGeometry_1_1LODBucket-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <br class="typebreak"/>
<a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">MaterialBucket</a> * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a1d21cb33bd7d6fb364f60298fcab9370">MaterialBucketMap</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Lookup of <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> Buckets in this <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html" title="The details of a topological BatchInstance which is the highest level of partitioning for this class...">BatchInstance</a>.  <a href="#a1d21cb33bd7d6fb364f60298fcab9370"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a1d21cb33bd7d6fb364f60298fcab9370">MaterialBucketMap</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a26053042ebc8190ec0f3dd2b3f4d29cb">MaterialIterator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Iterator over the materials in this LOD.  <a href="#a26053042ebc8190ec0f3dd2b3f4d29cb"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a63d7b67292d6b81db4b572fba6887599">LODBucket</a> (<a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">BatchInstance</a> *parent, unsigned short lod, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> lodValue)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a8b748a5c699e7cf334d1c687c7f23555">~LODBucket</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">BatchInstance</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a30af69eaf32c77f33f0aed931e4bf62f">getParent</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a7be9481a3adc079cbdf394a528f459ed">getLod</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the lod index.  <a href="#a7be9481a3adc079cbdf394a528f459ed"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a9d0f8ea10d08e8db8a2f29a7d416e25f">getLodValue</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the lod value.  <a href="#a9d0f8ea10d08e8db8a2f29a7d416e25f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#ace3db13c5248f7ade3cbeb7e24d5e20e">assign</a> (<a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html">QueuedSubMesh</a> *qsm, <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> atLod)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Assign a queued submesh to this bucket, using specified mesh LOD.  <a href="#ace3db13c5248f7ade3cbeb7e24d5e20e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a5a5129a1073f82623a976719d3686c8a">build</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Build.  <a href="#a5a5129a1073f82623a976719d3686c8a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#aa6ad2ac549f2e30625a91ff78bf04cb5">addRenderables</a> (<a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *queue, <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> group, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> lodValue)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add children to the render queue.  <a href="#aa6ad2ac549f2e30625a91ff78bf04cb5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a26053042ebc8190ec0f3dd2b3f4d29cb">MaterialIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a21e07f88bd86ddc51be2c4338bde4405">getMaterialIterator</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an iterator over the materials in this LOD.  <a href="#a21e07f88bd86ddc51be2c4338bde4405"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a73ac044ef94197f8c046dbb5d8ca373f">dump</a> (std::ofstream &amp;of) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Dump contents for diagnostics.  <a href="#a73ac044ef94197f8c046dbb5d8ca373f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#ad5233d8a1371dd9a19de16a33d8505fe">updateContainers</a> (<a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">MaterialBucket</a> *bucket, <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">fill the map  <a href="#ad5233d8a1371dd9a19de16a33d8505fe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a1587dece064bab1a38dacfd33130ab2d">visitRenderables</a> (<a class="el" href="classOgre_1_1Renderable_1_1Visitor.html">Renderable::Visitor</a> *visitor, bool debugRenderables)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">BatchInstance</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a7d1a7e30731dbc658240cecdef8f9b1e">mParent</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to parent <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html" title="The details of a topological BatchInstance which is the highest level of partitioning for this class...">BatchInstance</a>.  <a href="#a7d1a7e30731dbc658240cecdef8f9b1e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#aebb2f6b01a55e77392c0202124459bd6">mLod</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">LOD level (0 == full LOD)  <a href="#aebb2f6b01a55e77392c0202124459bd6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a73f4f51a935024a3cd61d8960b03b38c">mLodValue</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">lod value at which this LOD starts to apply (squared)  <a href="#a73f4f51a935024a3cd61d8960b03b38c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a1d21cb33bd7d6fb364f60298fcab9370">MaterialBucketMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#afc41ec6c886c1c8fa8b1d4efd6bb9d62">mMaterialBucketMap</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Lookup of <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> Buckets in this <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html" title="The details of a topological BatchInstance which is the highest level of partitioning for this class...">BatchInstance</a>.  <a href="#afc41ec6c886c1c8fa8b1d4efd6bb9d62"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry.html#ac2b1801eb919bac5b322873ad0fa94e9">QueuedGeometryList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a43c819fe51679560ac3480800d77046b">mQueuedGeometryList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Geometry queued for a single LOD (deallocated here)  <a href="#a43c819fe51679560ac3480800d77046b"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html" title="A LODBucket is a collection of smaller buckets with the same LOD.">LODBucket</a> is a collection of smaller buckets with the same LOD. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>LOD refers to <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> LOD here. <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> LOD can change separately at the next bucket down from this. </dd></dl>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00383">383</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a1d21cb33bd7d6fb364f60298fcab9370"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::MaterialBucketMap" ref="a1d21cb33bd7d6fb364f60298fcab9370" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">MaterialBucket</a>*&gt;::type <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a1d21cb33bd7d6fb364f60298fcab9370">Ogre::InstancedGeometry::LODBucket::MaterialBucketMap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Lookup of <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> Buckets in this <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html" title="The details of a topological BatchInstance which is the highest level of partitioning for this class...">BatchInstance</a>. </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00387">387</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a26053042ebc8190ec0f3dd2b3f4d29cb"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::MaterialIterator" ref="a26053042ebc8190ec0f3dd2b3f4d29cb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt;<a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a1d21cb33bd7d6fb364f60298fcab9370">MaterialBucketMap</a>&gt; <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a26053042ebc8190ec0f3dd2b3f4d29cb">Ogre::InstancedGeometry::LODBucket::MaterialIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Iterator over the materials in this LOD. </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00415">415</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a63d7b67292d6b81db4b572fba6887599"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::LODBucket" ref="a63d7b67292d6b81db4b572fba6887599" args="(BatchInstance *parent, unsigned short lod, Real lodValue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a63d7b67292d6b81db4b572fba6887599">Ogre::InstancedGeometry::LODBucket::LODBucket</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">BatchInstance</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>lod</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>lodValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8b748a5c699e7cf334d1c687c7f23555"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::~LODBucket" ref="a8b748a5c699e7cf334d1c687c7f23555" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a8b748a5c699e7cf334d1c687c7f23555">Ogre::InstancedGeometry::LODBucket::~LODBucket</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aa6ad2ac549f2e30625a91ff78bf04cb5"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::addRenderables" ref="aa6ad2ac549f2e30625a91ff78bf04cb5" args="(RenderQueue *queue, uint8 group, Real lodValue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#aa6ad2ac549f2e30625a91ff78bf04cb5">Ogre::InstancedGeometry::LODBucket::addRenderables</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *&#160;</td>
          <td class="paramname"><em>queue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td>
          <td class="paramname"><em>group</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>lodValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add children to the render queue. </p>

</div>
</div>
<a class="anchor" id="ace3db13c5248f7ade3cbeb7e24d5e20e"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::assign" ref="ace3db13c5248f7ade3cbeb7e24d5e20e" args="(QueuedSubMesh *qsm, ushort atLod)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#ace3db13c5248f7ade3cbeb7e24d5e20e">Ogre::InstancedGeometry::LODBucket::assign</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedSubMesh.html">QueuedSubMesh</a> *&#160;</td>
          <td class="paramname"><em>qsm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td>
          <td class="paramname"><em>atLod</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Assign a queued submesh to this bucket, using specified mesh LOD. </p>

</div>
</div>
<a class="anchor" id="a5a5129a1073f82623a976719d3686c8a"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::build" ref="a5a5129a1073f82623a976719d3686c8a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a5a5129a1073f82623a976719d3686c8a">Ogre::InstancedGeometry::LODBucket::build</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Build. </p>

</div>
</div>
<a class="anchor" id="a73ac044ef94197f8c046dbb5d8ca373f"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::dump" ref="a73ac044ef94197f8c046dbb5d8ca373f" args="(std::ofstream &amp;of) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a73ac044ef94197f8c046dbb5d8ca373f">Ogre::InstancedGeometry::LODBucket::dump</a> </td>
          <td>(</td>
          <td class="paramtype">std::ofstream &amp;&#160;</td>
          <td class="paramname"><em>of</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Dump contents for diagnostics. </p>

</div>
</div>
<a class="anchor" id="a7be9481a3adc079cbdf394a528f459ed"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::getLod" ref="a7be9481a3adc079cbdf394a528f459ed" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a7be9481a3adc079cbdf394a528f459ed">Ogre::InstancedGeometry::LODBucket::getLod</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the lod index. </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00404">404</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9d0f8ea10d08e8db8a2f29a7d416e25f"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::getLodValue" ref="a9d0f8ea10d08e8db8a2f29a7d416e25f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a9d0f8ea10d08e8db8a2f29a7d416e25f">Ogre::InstancedGeometry::LODBucket::getLodValue</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the lod value. </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00406">406</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a21e07f88bd86ddc51be2c4338bde4405"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::getMaterialIterator" ref="a21e07f88bd86ddc51be2c4338bde4405" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a26053042ebc8190ec0f3dd2b3f4d29cb">MaterialIterator</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a21e07f88bd86ddc51be2c4338bde4405">Ogre::InstancedGeometry::LODBucket::getMaterialIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an iterator over the materials in this LOD. </p>

</div>
</div>
<a class="anchor" id="a30af69eaf32c77f33f0aed931e4bf62f"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::getParent" ref="a30af69eaf32c77f33f0aed931e4bf62f" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">BatchInstance</a>* <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a30af69eaf32c77f33f0aed931e4bf62f">Ogre::InstancedGeometry::LODBucket::getParent</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00402">402</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad5233d8a1371dd9a19de16a33d8505fe"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::updateContainers" ref="ad5233d8a1371dd9a19de16a33d8505fe" args="(MaterialBucket *bucket, String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#ad5233d8a1371dd9a19de16a33d8505fe">Ogre::InstancedGeometry::LODBucket::updateContainers</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">MaterialBucket</a> *&#160;</td>
          <td class="paramname"><em>bucket</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>fill the map </p>

</div>
</div>
<a class="anchor" id="a1587dece064bab1a38dacfd33130ab2d"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::visitRenderables" ref="a1587dece064bab1a38dacfd33130ab2d" args="(Renderable::Visitor *visitor, bool debugRenderables)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a1587dece064bab1a38dacfd33130ab2d">Ogre::InstancedGeometry::LODBucket::visitRenderables</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable_1_1Visitor.html">Renderable::Visitor</a> *&#160;</td>
          <td class="paramname"><em>visitor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>debugRenderables</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aebb2f6b01a55e77392c0202124459bd6"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::mLod" ref="aebb2f6b01a55e77392c0202124459bd6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#aebb2f6b01a55e77392c0202124459bd6">Ogre::InstancedGeometry::LODBucket::mLod</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>LOD level (0 == full LOD) </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00392">392</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a73f4f51a935024a3cd61d8960b03b38c"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::mLodValue" ref="a73f4f51a935024a3cd61d8960b03b38c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a73f4f51a935024a3cd61d8960b03b38c">Ogre::InstancedGeometry::LODBucket::mLodValue</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>lod value at which this LOD starts to apply (squared) </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00394">394</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="afc41ec6c886c1c8fa8b1d4efd6bb9d62"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::mMaterialBucketMap" ref="afc41ec6c886c1c8fa8b1d4efd6bb9d62" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a1d21cb33bd7d6fb364f60298fcab9370">MaterialBucketMap</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#afc41ec6c886c1c8fa8b1d4efd6bb9d62">Ogre::InstancedGeometry::LODBucket::mMaterialBucketMap</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Lookup of <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> Buckets in this <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html" title="The details of a topological BatchInstance which is the highest level of partitioning for this class...">BatchInstance</a>. </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00396">396</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7d1a7e30731dbc658240cecdef8f9b1e"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::mParent" ref="a7d1a7e30731dbc658240cecdef8f9b1e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html">BatchInstance</a>* <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a7d1a7e30731dbc658240cecdef8f9b1e">Ogre::InstancedGeometry::LODBucket::mParent</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pointer to parent <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html" title="The details of a topological BatchInstance which is the highest level of partitioning for this class...">BatchInstance</a>. </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00390">390</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<a class="anchor" id="a43c819fe51679560ac3480800d77046b"></a><!-- doxytag: member="Ogre::InstancedGeometry::LODBucket::mQueuedGeometryList" ref="a43c819fe51679560ac3480800d77046b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry.html#ac2b1801eb919bac5b322873ad0fa94e9">QueuedGeometryList</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a43c819fe51679560ac3480800d77046b">Ogre::InstancedGeometry::LODBucket::mQueuedGeometryList</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Geometry queued for a single LOD (deallocated here) </p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h_source.html#l00398">398</a> of file <a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreInstancedGeometry_8h_source.html">OgreInstancedGeometry.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
